'''
  ____   ___  _     _ _       
 / ___| / _ \| |   (_) |_ ___ 
 \___ \| | | | |   | | __/ _ \
  ___) | |_| | |___| | ||  __/
 |____/ \__\_\_____|_|\__\___|
                              
Script to read data from a sqlite database
/usr/bin/python3 /var/www/moduleair_pro_4g/sqlite/read.py data_NPM 10

Available table are
data_NPM
data_NPM_5channels
data_BME280
data_envea
timestamp_table

'''

import sqlite3
import sys
parameter = sys.argv[1:]  # Exclude the script name
#print("Parameters received:")
table_name=parameter[0]
limit_num=parameter[1]

# Connect to the SQLite database
conn = sqlite3.connect("/var/www/moduleair_pro_4g/sqlite/sensors.db")
cursor = conn.cursor()

# Retrieve the last 10 sensor readings
#cursor.execute("SELECT * FROM data_NPM ORDER BY timestamp DESC LIMIT 10")
#cursor.execute("SELECT * FROM data_BME280 ORDER BY timestamp DESC LIMIT 10")
#cursor.execute("SELECT * FROM timestamp_table")
if table_name == "timestamp_table":
  cursor.execute("SELECT * FROM timestamp_table")

else:
  query = f"SELECT * FROM {table_name} ORDER BY timestamp DESC LIMIT ?"
  cursor.execute(query, (limit_num,))


rows = cursor.fetchall()
rows.reverse()  # Reverse the order in Python (to get ascending order)


# Display the results
for row in rows:
    print(row)

# Close the database connection
conn.close()
